Package com.massivecraft.factions.cmd

## Class BrigadierManager

- java.lang.Object
- - com.massivecraft.factions.cmd.BrigadierManager

    public class BrigadierManager
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`com.mojang.brigadier.builder.LiteralArgumentBuilder<java.lang.Object>` | `brigadier` |
`me.lucko.commodore.Commodore` | `commodore` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`BrigadierManager()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addSubCommand​(FCommand subCommand)` |
`void` | `build()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### commodore

    public me.lucko.commodore.Commodore commodore

#### brigadier

    public com.mojang.brigadier.builder.LiteralArgumentBuilder<java.lang.Object> brigadier

### Constructor Detail

#### BrigadierManager

    public BrigadierManager()

### Method Detail

#### build

    public void build()

#### addSubCommand

    public void addSubCommand​(FCommand subCommand)